> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# List Consignments

GET https://api.bigcommerce.com/stores/{store_hash}/v2/orders/{order_id}/consignments

Get all consignments for an order. 

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/orders/order-consignments/get-order-consignments

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Orders | modify | `store_v2_orders` | | Orders | read-only | `store_v2_orders_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `order_id` (integer, required) — ID of the order.
- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Query parameters

- `include` (list of enum, optional) — * `consignments.line_items` - include the response returned from the request to the `/orders/{order_id}/products` endpoint in consignments.
  - Allowed values: `consignments.line_items`

## Response

### 200

OK

- `pickups` (list of pickupConsignment_Get, optional) — Pickup consignments.
- `shipping` (list of shippingConsignment_Get, optional) — Shipping consignments.
- `downloads` (list of digitalConsignment_Get, optional) — Digital consignments for products that are downloaded.
- `email` (OrderConsignmentGetEmail, optional) — Email consignments for gift certificates.

## Errors

### 404 Not Found Error

Not Found

- `list of OrdersOrderIdConsignmentsGetResponsesContentApplicationJsonSchemaItems`

## Types

### pickupConsignment_Get

- `collection_instructions` (string, optional) — A message for shoppers explaining how to collect their pickup order.
- `collection_time_description` (string, optional) — A message for shoppers indicating the estimated time their pickup order will be ready for collection.
- `id` (integer, optional) — The ID of the pickup consignment to update.
- `line_items` (PickupConsignmentGetLineItems, optional)
- `location` (pickupConsignmentLocation_Get, optional)
- `pickup_method_display_name` (string, optional) — A name for the pickup method that can be displayed to shoppers.
- `pickup_method_id` (integer, optional) — ID of the pickup method.

### shippingConsignment_Get

- `base_cost` (double, optional) — The base shipping cost value.
- `base_handling_cost` (double, optional) — The base handling charge. The value can't be negative.
- `city` (string, optional)
- `company` (string, optional)
- `cost_ex_tax` (double, optional) — The shipping cost value excluding tax.
- `cost_inc_tax` (double, optional) — The shipping cost value including tax.
- `cost_tax` (double, optional) — The tax amount on the shipping cost.
- `cost_tax_class_id` (integer, optional) — The ID of the tax class applied to the shipping cost. Ignored if automatic tax is enabled.
- `country` (string, optional)
- `country_iso2` (string, optional) — 2-letter ISO Alpha-2 code for the country.
- `email` (string, optional) — Recipient’s email address.
- `first_name` (string, optional)
- `form_fields` (list of formFields, optional)
- `handling_cost_ex_tax` (double, optional) — The handling charge, excluding tax. The value can't be negative.
- `handling_cost_inc_tax` (double, optional) — The handling charge, including tax. The value can't be negative.
- `handling_cost_tax` (double, optional)
- `handling_cost_tax_class_id` (integer, optional) — The ID of the tax class applied to the handling charge. Ignored if automatic tax is enabled.
- `id` (integer, optional) — ID of the shipping consignment.
- `items_shipped` (double, optional) — The number of items that have been shipped.
- `items_total` (double, optional) — The total number of items in the order.
- `last_name` (string, optional)
- `line_items` (ShippingConsignmentGetLineItems, optional)
- `phone` (string, optional) — Recipient’s telephone number.
- `shipping_method` (string, optional) — Text identifying the BigCommerce shipping module selected by the customer.
- `shipping_quotes` (shippingQuotesConsignment_Resource, optional)
- `shipping_zone_id` (double, optional) — The numeric ID of the shipping zone.
- `shipping_zone_name` (string, optional) — The name of the shipping zone.
- `state` (string, optional)
- `street_1` (string, optional) — Street address (first line).
- `street_2` (string, optional) — Street address (second line).
- `zip` (string, optional) — Zip or postal code, as a string.

### digitalConsignment_Get

- `recipient_email` (string, optional) — The recipient email of the digital consignment.
- `line_items` (DigitalConsignmentGetLineItems, optional)

### OrderConsignmentGetEmail

Email consignments for gift certificates.

- `gift_certificates` (list of giftCertificateConsignment_Get, optional)

### OrdersOrderIdConsignmentsGetResponsesContentApplicationJsonSchemaItems

- `status` (integer, optional)
- `message` (string, optional)

### PickupConsignmentGetLineItems

### pickupConsignmentLocation_Get

- `address_line_1` (string, optional) — Street address (first line).
- `address_line_2` (string, optional) — Street address (second line).
- `city` (string, optional)
- `code` (string, optional) — The code of the pickup location.
- `country_alpha2` (string, optional) — 2-letter ISO Alpha-2 code for the country.
- `email` (string, optional) — Pickup locationʼs email address.
- `id` (integer, optional) — ID of the location.
- `name` (string, optional) — The name of the pickup location.
- `phone` (string, optional) — Pickup locationʼs phone number.
- `postal_code` (string, optional)
- `state` (string, optional)

### formFields

- `name` (string, optional) — The form field name.
- `value` (FormFieldsValue, optional) — The form field value.

### ShippingConsignmentGetLineItems

### shippingQuotesConsignment_Resource

- `url` (string, optional) — URL where you can use a GET request to get the shipping quotes for the order consignment.
- `resource` (string, optional) — Path where you can use a GET request to get the shipping quotes for the order consignment.

### DigitalConsignmentGetLineItems

### giftCertificateConsignment_Get

- `recipient_email` (string, optional) — The recipient email of the gift certificate.
- `line_items` (GiftCertificateConsignmentGetLineItems, optional)

### FormFieldsValue

The form field value.

### GiftCertificateConsignmentGetLineItems

## Examples

**Response**

```json
{
  "pickups": [
    {
      "collection_instructions": "Bring your ID",
      "collection_time_description": "9am - 6pm",
      "id": 99,
      "line_items": [
        {
          "resource": "/orders/129/products/12",
          "url": "https://api.bigcommerce.com/stores/{store_hash}/v2/orders/129/products/12"
        }
      ],
      "location": {
        "address_line_1": "123 Main Street",
        "address_line_2": "Suite 101",
        "city": "Austin",
        "code": "LOCATION-1",
        "country_alpha2": "US",
        "email": "location1@example.com",
        "id": 1,
        "name": "Location 1",
        "phone": "+1 111-111-1111",
        "postal_code": "78726",
        "state": "Texas"
      },
      "pickup_method_display_name": "Pick Up",
      "pickup_method_id": 1
    }
  ]
}
```

**SDK Code**

```python Pickup Consignments
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v2/orders/1/consignments"

headers = {"X-Auth-Token": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Pickup Consignments
const url = 'https://api.bigcommerce.com/stores/store_hash/v2/orders/1/consignments';
const options = {method: 'GET', headers: {'X-Auth-Token': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Pickup Consignments
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v2/orders/1/consignments"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Pickup Consignments
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v2/orders/1/consignments")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Pickup Consignments
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.bigcommerce.com/stores/store_hash/v2/orders/1/consignments")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php Pickup Consignments
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.bigcommerce.com/stores/store_hash/v2/orders/1/consignments', [
  'headers' => [
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Pickup Consignments
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v2/orders/1/consignments");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Pickup Consignments
import Foundation

let headers = ["X-Auth-Token": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v2/orders/1/consignments")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```